<apis>
    <api>
        <methodName>订单请求扫码支付</methodName>
        <sort>100</sort>
        <businessMethod>MallOrder_Front_RequestPay_HSTY</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>订单请求余额支付</methodName>
        <sort>101</sort>
        <businessMethod>MallOrder_Front_RequestPay_BALANCE</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>订单余额支付</methodName>
        <sort>102</sort>
        <businessMethod>Mall_Pay_Order_BALANCE</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>

            <param>
                <!-- 参数说明 -->
                <paramComment>支付单号</paramComment>
                <!-- 参数名称 -->
                <paramKey>tradeCode</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>商城客户在线充值</methodName>
        <sort>110</sort>
        <businessMethod>MallUser_Front_Recharge_HSTY</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>充值金额</paramComment>
                <!-- 参数名称 -->
                <paramKey>chargeMoney</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Double</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>全系统通用-获取订单的支付单据</methodName>
        <sort>500</sort>
        <businessMethod>All_Pay_OrderGroup_Search</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <params>
            <param>
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idOrder</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>全系统通用-关闭支付单</methodName>
        <sort>501</sort>
        <businessMethod>All_Pay_OrderGroup_Cancel</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <params>
            <param>
                <paramComment>支付单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idGroup</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>ERP订单支付请求</methodName>
        <sort>600</sort>
        <businessMethod>ERPOrder_RequestPay_HSTY</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <params>
            <param>
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idOrder</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>本次支付金额</paramComment>
                <!-- 参数名称 -->
                <paramKey>currentMoney</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Double</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>ERP客户在线充值</methodName>
        <sort>601</sort>
        <businessMethod>ERPClient_RequestRecharge_HSTY</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <paramComment>客户id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idClient</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>充值金额</paramComment>
                <!-- 参数名称 -->
                <paramKey>receivableMoney</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Double</paramKind>
            </param>
        </params>
    </api>
</apis>